Bug 430450 - Nautilus deadlocks (while browsing a folder)
Nautilus deadlocks (while browsing a folder)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 23:50 EST by Davide Repetto
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:52:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Davide Repetto 2008-01-27 23:50:36 EST
Description of problem:
=======================
nautilus deadlocks while opening a (specific) folder.

Apparently only some arrangements of files trigger the bug.
The problem disappears if you change (aka rename, add
or delete) something and it comes back when you re-rename it or
if you just create a file with the same name.

The problem seems to be very nautilus specific and filesystem
independent.
Accessing the same folder other than with nautilus works fine.
I noticed that the problem moves along with the folder. Anywhere.
Even on another computer or on a samba mount. 

It is not a regression. The bug's been there since at least FC5.


Version-Release number of selected component:
============================================
nautilus up to 2.20.0-6.fc8


How reproducible:
=================
It is difficult. The bug happens only with specific combinations
of filenames.
Once found, the right combination consistently triggers the bug.

I've located a folder with such a combination and I'll try and keep
it untouched for a while, but please let me know ASAP if you need it.

This is why I labeled the bug as urgent - Sorry if it is inappropriate.


Steps to Reproduce:
===================
Open a folder with a content that triggers the bug


Actual results:
===============
The folder window opens and shows icons correctly.
Nautilus locks and eats 100% of the CPU.
You have to kill nautilus to unlock it.
Comment 1 Tomáš Bžatek 2008-02-21 10:29:48 EST
Could you please provide the sample structure in order to reproduce the bug
locally? It would help us a lot.

Regarding the lock and 100% cpu usage - similar behaviour was reported as
another bug:
https://bugzilla.redhat.com/show_bug.cgi?id=430333
 --> please test the updated nautilus-2.20.0-8.fc8 build, you should see
immediate crash instead of deadlock
Comment 2 Davide Repetto 2008-02-21 18:38:43 EST
Unfortunately I had to change the content of the disk and I can't easily 
trigger the bug anymore.
Though I'm sending you some info in private, to help you repoduce it yourself.
Comment 3 Bug Zapper 2008-11-26 04:35:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:52:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.